Update Payment Intent Amount
curl --request POST \
--url https://api.marzipan.co/v1/carts/{cartId}/updatePaymentIntent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "pi_3QabcXY2eZvKYlo21n4kD8Fg"
}
'import requests
url = "https://api.marzipan.co/v1/carts/{cartId}/updatePaymentIntent"
payload = { "id": "pi_3QabcXY2eZvKYlo21n4kD8Fg" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: 'pi_3QabcXY2eZvKYlo21n4kD8Fg'})
};
fetch('https://api.marzipan.co/v1/carts/{cartId}/updatePaymentIntent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "requires_payment_method"
}{
"message": "No query results for model [Cart]."
}{
"message": "The id field is required.",
"errors": {
"id": [
"The id field is required."
]
}
}Carts
Update Payment Intent Amount
Synchronise an existing Stripe payment intent’s amount with the cart’s current grand total. Call this after the cart changes (items, shipping, discounts) so the payment intent reflects the latest amount due.
POST
/
carts
/
{cartId}
/
updatePaymentIntent
Update Payment Intent Amount
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your API token.
Path Parameters
The unique identifier for the cart
Body
application/json
The Stripe payment intent identifier to update.
Response
Payment intent updated. Returns the Stripe payment intent status.
The Stripe payment intent status after the update.
Example:
"requires_payment_method"
⌘I

